#include <Servo.h>

#define ledPin1 2
#define ledPin2 4
#define ledPin3 5
#define ledPin4 7
#define ledPin5 8

#define buzzerPin 11

#define tasterPin 10

#define servoPin1 3
#define servoPin2 6
#define servoPin3 9

Servo servo1;
Servo servo2;
Servo servo3;

const int SECOND = 1000;
long lastAction = -1;

int index = 0;
int leds[] = { ledPin1, ledPin2, ledPin3, ledPin4, ledPin5 };

bool runGame = false;

void setup() {
  Serial.begin(9600);
  pinMode(ledPin1, OUTPUT);
  pinMode(ledPin2, OUTPUT);
  pinMode(ledPin3, OUTPUT);
  pinMode(ledPin4, OUTPUT);
  pinMode(ledPin5, OUTPUT);
  pinMode(buzzerPin, OUTPUT);

  pinMode(tasterPin, INPUT_PULLUP);

  servo1.attach(servoPin1);
  servo2.attach(servoPin2);
  servo3.attach(servoPin3);

  servo1.write(0);
  servo2.write(0);
  servo3.write(0);

  randomSeed(analogRead(0));
}

void reset() {
  digitalWrite(ledPin1, HIGH);
  digitalWrite(ledPin2, HIGH);
  digitalWrite(ledPin3, HIGH);
  digitalWrite(ledPin4, HIGH);
  digitalWrite(ledPin5, HIGH);

  servo1.write(0);
  servo2.write(0);
  servo3.write(0);

  index = 0;
}

void runTimer() {
  if (millis() > lastAction + SECOND) {
    lastAction = millis();
    digitalWrite(leds[index], LOW);
    index++;
    if (index == 5) {
      tone(buzzerPin, 950, 125);
      delay(250);
      tone(buzzerPin, 950, 125);
      delay(250);
      tone(buzzerPin, 950, 125);

      //0 bis 2
      int zufallszahl = random(1,4);
      switch (zufallszahl) {
        case 1: servo1.write(90); break;
        case 2: servo2.write(90); break;
        case 3: servo3.write(90); break;
      }
      Serial.println(zufallszahl);

      runGame = false;
    } else {
      tone(buzzerPin, 1200, 125);
    }
  }
}

void loop() {
  if (digitalRead(tasterPin) == LOW) {
    reset();
    runGame = true;
  }

  if (runGame) {
    runTimer();
  }
}
